Jump to content

Таблица габаритных размеров деталей сборки


AndreyFrantsevich

Recommended Posts

AndreyFrantsevich

Доброго времени суток!

Планирую использовать Солид для создания сборок мебели.

Сборку сделал, хотелось бы иметь возможность создать таблицу где будут указаны геометрические размеры деталей входящих в сборку (В автоматическом режиме).

Спецификацию создаю, детали все отображаются, но добавить столбец с размерами не знаю как(если вообще можно). 

Есть варианты, советы?

Буду очень признателен. 

Link to post
Share on other sites


AndreyFrantsevich

Upd.

Нашел на форуме путь через габаритный размер.

Огромная просьба, поподробнее рассказать путь построения, никак не могу разобраться.

Link to post
Share on other sites

Сварные детали. Список вырезов. Будут и длины профилей и габариты листов

Link to post
Share on other sites
  • 1 year later...
darkling06
01.05.2019 в 09:45, jtok сказал:

Сварные детали. Список вырезов. Будут и длины профилей и габариты листов

У меня что то в списках вырезов сварных изделий нет габаритов листов, только если ручками в модели прописать в свойствах, но дико времязатратно.

Link to post
Share on other sites
Kir95
15 минут назад, darkling06 сказал:

в списках вырезов сварных изделий нет габаритов

ПКМ по папке списка вырезов -> Create Bounding Box ...

  • Нравится 1
Link to post
Share on other sites
darkling06
2 часа назад, Kir95 сказал:

ПКМ по папке списка вырезов -> Create Bounding Box ...

ППц. Уже само по себе это сильно упрощает жизнь, спасибо! 

Но нет предела совершенству, как к примеру собирать полученные поля в удобоваримый вид?

На первой картинке: желтым - заполнял руками, розовым - Вашим методом.

На второй картинке табличка которая получается. Хотелось бы компактизировать, еще три столбца ни к чему.

PS И совсем космический вопрос. Как сформировать таблицу используемых материалов всего проекта, сколько какой трубы/балки/... всего уйдет на проект, если в проекте много файлов (столбы, фермы, ограждения, ...) в каждом из которых сварные материалы. третья картинка (само оформление не важно, важна информация)

 

Снимок экрана 2021-01-14 142501.jpg

Снимок экрана 2021-01-14 142804.jpg

3561523_935xp.jpg

Вот чего мне удалось добиться.

Но, если столбов к примеру будет не 1 а больше, то надо ручками перемножить все потом отсротировать, и вычленить поэлементно сколько каких позиций в общем теоретически уйдет.

Снимок экрана 2021-01-14 144032.jpg

Link to post
Share on other sites
Kir95
1 час назад, darkling06 сказал:

Хотелось бы компактизировать, еще три столбца ни к чему

ПКМ по заголовку столбца - скрыть выбранное. Это табличка сварных вырезов или смещённая спецификация? В спецификации можно добавлять вычисляемые столбцы (дв. щелчок по заголовку, выбрать "уравнение"), сохранить, как шаблон спецификации и использовать для вывода всех материалов

Link to post
Share on other sites
darkling06
14.01.2021 в 16:33, Kir95 сказал:

Это табличка сварных вырезов или смещённая спецификация?

Смещенная спецификация. 

Вычисляемые столбцы оформить сообразительности не хватает((

Что примерно нужно в уравнение вписать?

Link to post
Share on other sites
Snake 60

@darkling06 У меня есть макрос который автоматом прописывает похожие на Ваши свойства в список вырезов, только я его делал для листовых деталей. Если скинете простенькую вашу сборку, попробую его на сварной конструкции.

Link to post
Share on other sites
Snake 60

@darkling06 Держите макрос, проверил, работает и для сварных

'------------------------------------------------------------------------------------------------
'МАКРОС №1 - Добавления нового свойства (Габарит детали ДхШхВ) в список свойств вырезов
'------------------------------------------------------------------------------------------------

'Определяем переменные
Dim swApp As SldWorks.SldWorks
Dim swModel As SldWorks.ModelDoc2
Dim swModelDocExt As SldWorks.ModelDocExtension
Dim swFeat As SldWorks.Feature
Dim swDeleteFaceFeature As SldWorks.DeleteFaceFeatureData
Dim swCustPropMgr As SldWorks.CustomPropertyManager
Dim names As Variant
Dim textexp As String
Dim evalval As String
Dim PartName1 As String
Dim swPart As Object

Dim featureName As String
Dim boolstatus As Boolean
Dim opt As Long

'Основная подпрограмма (точка входа)
Sub main()

    'Активируем основные переменные
    Set swApp = Application.SldWorks
    Set swModel = swApp.ActiveDoc
    Set swModelDocExt = swModel.Extension
    
    
    ' Определяем самый первый элемент (фичерс) в дереве
    Set swFeat = swModel.FirstFeature
    
     'Пробегаем цыклом по дереву пока не закончатся все элементы (фичерсы)
     Do While Not swFeat Is Nothing
        
        If swFeat Is Nothing Then
            Exit Do
        End If
 
        'Записываем в переменную featureName имя текущего элемента (фичерса)
        featureName = swFeat.Name
        ' Присваиваем переменной swPart активный документ
        Set swPart = swApp.ActiveDoc
        'Получаем имя документа (файла)
        PartName1 = swPart.GetTitle
        'Выводим его для проверки
        'MsgBox PartName1
                    
        'Проверяем содержит ли имя файла расширение или нет (это зависит от настроек windows) если содержит, то убираем его
        PartName1 = Replace(PartName1, ".SLDPRT", "")
        PartName1 = Replace(PartName1, ".sldprt", "")
        'Выводим имя для проверки
        'MsgBox PartName1
        
        'Проверяем имя элемента (фичерса) и если оно совпадает с CutListFolder, то
        If swFeat.GetTypeName2 = "CutListFolder" Then
             
            boolstatus = swModelDocExt.SelectByID2(featureName, "SUBWELDFOLDER", 0, 0, 0, False, 0, Nothing, 0)
            'Создаем 3D-граничную рамку
            swModelDocExt.Create3DBoundingBox

            'Присваиваем переменной swCustPropMgr значение swFeat.CustomPropertyManager (активируем свойства элементов списка вырезов)
            Set swCustPropMgr = swFeat.CustomPropertyManager
            'Добавляем в список свойств вырезов свойство - Габарит детали ДхШхВ
            swCustPropMgr.Add3 "Габарит детали ДхШхВ", swCustomInfoType_e.swCustomInfoText, """SW-3D-Длина граничной рамки@@@" & swFeat.Name & "@" & PartName1 & ".SLDPRT""" & " x " & """SW-3D-Ширина граничной рамки@@@" & swFeat.Name & "@" & PartName1 & ".SLDPRT""" & " x " & """SW-3D-Высота граничной рамки@@@" & swFeat.Name & "@" & PartName1 & ".SLDPRT""", swCustomPropertyAddOption_e.swCustomPropertyDeleteAndAdd
        End If
    
        'Выводим значение имени элемента (фичерса) в окно Immediate
        Debug.Print swFeat.GetTypeName2
        'Переходим к следующему элементу
        Set swFeat = swFeat.GetNextFeature
    'Метка цикла
    Loop
    
    'Выводим сообщение
    MsgBox "В свойства списка вырезов добавлено свойство Габарит детали (ДхШхВ)!"

'Завершение подпрограммы
End Sub

 

  • Нравится 3
Link to post
Share on other sites
Kir95
18 часов назад, darkling06 сказал:

Смещенная спецификация. 

Вычисляемые столбцы оформить сообразительности не хватает((

Что примерно нужно в уравнение вписать?

Когда выберешь тип столбца "уравнение", всё будет понятно

 

equation window 1.jpg

 

equation window 2.jpg

 

equation window 3.jpg

Link to post
Share on other sites
darkling06
16.01.2021 в 12:27, Kir95 сказал:

Когда выберешь тип столбца "уравнение", всё будет понятно

 

Добавить уравнение действительно довольно просто. 

Но я не могу сообразить какую формулу следует написать.

Что имеется, файлы деталей в которых сварные профили. Сборка, в которой различное количество разных файлов.

Что нужно? Нужно чтобы в смещенной спецификации с подробным списком вырезов солид перемножал количество сварного профиля в детали на количество деталей в сборке. Сложность в том что оба этих "количества" в одном столбце и как их разделить не могу прдеставить.

Link to post
Share on other sites
Kir95
12 часов назад, darkling06 сказал:

Нужно чтобы в смещенной спецификации с подробным списком вырезов солид перемножал количество сварного профиля в детали на количество деталей в сборке. Сложность в том что оба этих "количества" в одном столбце и как их разделить не могу прдеставить

Проще всего скинуть солидовскую сп в ексель, там добавить столбцы и пересчитать. Можно в деталь добавить свойство с её общим количеством в сборке, это свойство вывести в списке вырезов и перемножить в столбцы в спецификации. Чтобы в списке вырезов свойство детали вывести, записываешь в свойсвах списка $PRP:"Свойство детали"

Link to post
Share on other sites
  • 2 weeks later...
Maik812

 

Можешь вставлять значения полученные куда хочешь.

я например в эксель закидываю из ТС в таблицу.

Можно и площадь окраски и много чего еще добавить..

Link to post
Share on other sites
Марочка

Snake 60, заинтересовал ваш макрос. Подскажите, пожалуйста, чайнику, как им воспользоваться? До этого пользовалась только макросами, которые уже сохранены как файл. Этот добавляю. По дереву пробегает, да, но потом выдаёт сообщение с одними вопросами. Solid Works 2020

ea7e6c33-4faa-4cea-ba04-c8fc5e465fde.jpg

Link to post
Share on other sites
malvi.dp
8 минут назад, Марочка сказал:

По дереву пробегает, да, но потом выдаёт сообщение с одними вопросами.

Чтобы не было вопросов макрос нужно копировать и вставлять в русской раскладке клавиатуры.

Link to post
Share on other sites

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.
Note: Your post will require moderator approval before it will be visible.

Guest
Reply to this topic...

×   Pasted as rich text.   Paste as plain text instead

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.

  • Recently Browsing   0 members

    No registered users viewing this page.



×
×
  • Create New...